# This file was generated by the `rspec --init` command. Conventionally, all
# specs live under a `spec` directory, which RSpec adds to the `$LOAD_PATH`.
# Require this file using `require "spec_helper"` to ensure that it is only
# loaded once.
#
# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration
require 'simplecov'
require 'coveralls'

SimpleCov.formatter = Coveralls::SimpleCov::Formatter
SimpleCov.start do
  add_filter '/spec/'
end

#
#
# These require's are only needed for Rails and Formtastic stuff
require 'action_view'
require 'rails'
require 'rspec/rails/mocks'
include RSpec::Rails::Mocks

require 'page_record'
require 'capybara'
require 'capybara/dsl'

require_relative './support/test_app'
require_relative './support/team'
require_relative './support/shared_contexts'
require_relative './support/shared_examples'

Capybara.app = TestApp
Capybara.app_host = nil

RSpec.configure do |config|
  config.treat_symbols_as_metadata_keys_with_true_values = true
  config.run_all_when_everything_filtered = true
  config.filter_run :focus
  config.include Capybara::DSL

  # Run specs in random order to surface order dependencies. If you find an
  # order dependency and want to debug it, you can fix the order by providing
  # the seed, which is printed after each run.
  #     --seed 1234
  config.order = 'random'
end
